[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# THeaderSizingEvent

Specifies an event handler signalled when a fixed cell header in a grid is resized.

## Declaration

Source position: grids.pas line 391

`type THeaderSizingEvent = procedure(`
`Sender: TObject;`
`const IsColumn: Boolean;`
`const aIndex: Integer;`
`const aSize: Integer`
`) of object;`

## Arguments

`Sender` |  | Grid control for the event notification.
`IsColumn` |  | True when the affected cell is a column header; False when it is a row header.
`aIndex` |  | Position of the row or column in the grid control.
`aSize` |  | Size (in pixels) for the resized cell.

## Description

THeaderSizingEvent specifies an event handler signalled when a fixed cell header in a grid is resized. Arguments passed to the event handler identify the grid control for the event, and information the row or column affected by the operation.

THeaderSizingEvent is the type used to implement the OnHeaderSizing property in TCustomDrawGrid. Applications must implement an object procedure using the signature for the event to allow responding to the event notification.

## See also

TCustomDrawGrid.OnHeaderSizing |  | Event handler signalled when a column or row header sizing action is started.